Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPHeaderElement

    java.lang.Object
      |
      +--org.apache.axis.message.MessageElement
            |
            +--org.apache.axis.message.SOAPHeaderElement

All Implemented Interfaces:
  Node, java.io.Serializable, SOAPElement, SOAPHeaderElement

public class SOAPHeaderElement
extends MessageElement
implements SOAPHeaderElement

A simple header element abstraction. Extends MessageElement with header-specific stuff like mustUnderstand, actor, and a 'processed' flag.

Author:
  Glen Daniels (gdaniels@macromedia.com), Glyn Normington (glyn@apache.org)
See Also:
  Serialized Form

Inner classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected java.lang.String` | `actor`
`protected boolean` | `mustUnderstand`
`protected boolean` | `processed`

Fields inherited from class org.apache.axis.message.MessageElement
`_isDirty, _isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, log, message, name, namespaces, namespaceURI, parent, prefix, qNameAttrs, recorder, startContentsIndex, startEventIndex, textRep, typeQName`

Constructor Summary
`SOAPHeaderElement(org.w3c.dom.Element elem)`
`SOAPHeaderElement(Name name)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart, java.lang.Object value)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Method Summary
`void` | `detachNode()` Removes this `Node` object from the tree.
`java.lang.String` | `getActor()` Returns the uri of the actor associated with this `SOAPHeaderElement` object.
`boolean` | `getMustUnderstand()` Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
`boolean` | `isProcessed()`
`void` | `setActor(java.lang.String a)` Sets the actor associated with this `SOAPHeaderElement` object to the specified actor.
`void` | `setMustUnderstand(boolean b)` Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.
`void` | `setParentElement(SOAPElement parent)` Sets the parent of this `Node` object to the given `SOAPElement` object.
`void` | `setProcessed(boolean value)`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, getAllAttributes, getAsDocument, getAsDOM, getAttributes, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildren, getCompleteAttributes, getElementName, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getObjectValue, getParentElement, getPrefix, getPrefix, getQName, getRealElement, getRecorder, getType, getValue, getValueAsType, isDirty, isRoot, makeAttributesEditable, output, outputImpl, publishContents, publishToHandler, recycleNode, removeAttribute, removeChild, removeNamespaceDeclaration, setAttribute, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setPrefix, setQName, setRecorder, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`getParentElement, getValue, recycleNode`

Field Detail

### processed

    protected boolean processed

### actor

    protected java.lang.String actor

### mustUnderstand

    protected boolean mustUnderstand

Constructor Detail

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart)

### SOAPHeaderElement

    public SOAPHeaderElement(Name name)

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart,
                             java.lang.Object value)

### SOAPHeaderElement

    public SOAPHeaderElement(org.w3c.dom.Element elem)

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)

Method Detail

### setParentElement

    public void setParentElement(SOAPElement parent)
                          throws SOAPException

  Description copied from interface: `Node`
  Sets the parent of this `Node` object to the given `SOAPElement` object.
  Specified by:
    `setParentElement` in interface `Node`
  Overrides:
    `setParentElement` in class `MessageElement`
  Following copied from interface: `javax.xml.soap.Node`
  Parameters:
    `parent` - the `SOAPElement` object to be set as the parent of this `Node` object
  Throws:
    `SOAPException` - if there is a problem in setting the parent to the given element
  See Also:
    `getParentElement()`

### detachNode

    public void detachNode()

  Description copied from interface: `Node`
  Removes this `Node` object from the tree. Once removed, this node can be garbage collected if there are no application references to it.
  Specified by:
    `detachNode` in interface `Node`
  Overrides:
    `detachNode` in class `MessageElement`

### getMustUnderstand

    public boolean getMustUnderstand()

  Description copied from interface: `SOAPHeaderElement`
  Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
  Specified by:
    `getMustUnderstand` in interface `SOAPHeaderElement`
  Following copied from interface: `javax.xml.soap.SOAPHeaderElement`
  Returns:
    `true` if the mustUnderstand attribute of this `SOAPHeaderElement` object is turned on; `false` otherwise

### setMustUnderstand

    public void setMustUnderstand(boolean b)

  Description copied from interface: `SOAPHeaderElement`
  Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

  If the mustUnderstand attribute is on, the actor who receives the `SOAPHeaderElement` must process it correctly. This ensures, for example, that if the `SOAPHeaderElement` object modifies the message, that the message is being modified correctly.

  Specified by:
    `setMustUnderstand` in interface `SOAPHeaderElement`
  Following copied from interface: `javax.xml.soap.SOAPHeaderElement`
  Parameters:
    `mustUnderstand` - `true` to set the mustUnderstand attribute on; `false` to turn if off
  Throws:
    `java.lang.IllegalArgumentException` - if there is a problem in setting the actor.
  See Also:
    `getMustUnderstand()`

### getActor

    public java.lang.String getActor()

  Description copied from interface: `SOAPHeaderElement`
  Returns the uri of the actor associated with this `SOAPHeaderElement` object.
  Specified by:
    `getActor` in interface `SOAPHeaderElement`
  Following copied from interface: `javax.xml.soap.SOAPHeaderElement`
  Returns:
    a `String` giving the URI of the actor
  See Also:
    `setActor(java.lang.String)`

### setActor

    public void setActor(java.lang.String a)

  Description copied from interface: `SOAPHeaderElement`
  Sets the actor associated with this `SOAPHeaderElement` object to the specified actor. The default value of an actor is: `SOAPConstants.URI_SOAP_ACTOR_NEXT`
  Specified by:
    `setActor` in interface `SOAPHeaderElement`
  Following copied from interface: `javax.xml.soap.SOAPHeaderElement`
  Parameters:
    `actorURI` - a `String` giving the URI of the actor to set
  Throws:
    `java.lang.IllegalArgumentException` - if there is a problem in setting the actor.
  See Also:
    `getActor()`

### setProcessed

    public void setProcessed(boolean value)

### isProcessed

    public boolean isProcessed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.